# Используем образ Maven для сборки
FROM maven:3.8-eclipse-temurin-21-alpine AS build

# Устанавливаем рабочую директорию
WORKDIR /app

# Копируем остальные исходные файлы
COPY pom.xml .
COPY src src

# Собираем весь проект
RUN mvn clean package -DskipTests

# Используем официальный образ JDK для запуска собранного jar-файла
FROM eclipse-temurin:21-jdk-alpine

# Копируем jar-файл из предыдущего этапа
COPY --from=build /app/target/*.jar /app.jar

# Указываем команду для запуска приложения
CMD ["java", "-jar", "app.jar"]
